autofs-5.0.5 - remove master_mutex_unlock() leftover

From: Leonardo Chiquitto <leonardo.lists@gmail.com>

Commit dc0c3734 ("fix out of order locking in readmap") removes
the calls to master_mutex_lock() and master_mutex_unlock() from
master_find_mapent(), but leaves an unlock behind.

Signed-off-by: Leonardo Chiquitto <lchiquitto@novell.com>
---

 CHANGELOG    |    1 +
 lib/master.c |    4 +---
 2 files changed, 2 insertions(+), 3 deletions(-)


diff --git a/CHANGELOG b/CHANGELOG
index d7d8512..91b8a10 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -71,6 +71,7 @@
 - include ip address in debug logging.
 - mount using address for DNS round robin host names.
 - reset negative status on cache prune.
+- remove master_mutex_unlock() leftover.
 
 03/09/2009 autofs-5.0.5
 -----------------------
diff --git a/lib/master.c b/lib/master.c
index 53dfa27..01a004b 100644
--- a/lib/master.c
+++ b/lib/master.c
@@ -643,10 +643,8 @@ struct master_mapent *master_find_mapent(struct master *master, const char *path
 
 		entry = list_entry(p, struct master_mapent, list);
 
-		if (!strcmp(entry->path, path)) {
-			master_mutex_unlock();
+		if (!strcmp(entry->path, path))
 			return entry;
-		}
 	}
 
 	return NULL;
